    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.security.interfaces.DSAKey

public interface DSAKey

The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  DSAParams, Key, Signature

##

getParams()
  Returns the DSA-specific key parameters.

##

getParams

     public abstract DSAParams getParams()

  Returns the DSA-specific key parameters. These parameters are never secret.

  Returns:
    the DSA-specific key parameters.
  See Also:
    DSAParams

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.